Bug 1322393 - ktp-text-ui window is empty
Summary: ktp-text-ui window is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ktp-text-ui
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-5.6
TreeView+ depends on / blocked
 
Reported: 2016-03-30 12:20 UTC by Loïc Yhuel
Modified: 2016-04-05 16:19 UTC (History)
5 users (show)

Fixed In Version: ktp-text-ui-15.12.3-2.fc24 ktp-text-ui-15.12.3-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-03 17:56:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Loïc Yhuel 2016-03-30 12:20:27 UTC
Description of problem:
Since the ktp 15.12.3 update, when I open ktp-text-ui from the contact list / plasmoid / incoming message notification the window is empty.
If I keep the window open, and select the same contact again from the contact list / plasmoid, the ktp-text-ui window now shows the conversation.


Version-Release number of selected component (if applicable):
ktp-text-ui-15.12.3-1.fc23.x86_64


Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: QCoreApplication::arguments: Please instantiate the QApplication object first
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: Shortcut for action  "next-tab" "&Next Tab" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: Shortcut for action  "previous-tab" "&Previous Tab" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.AccountManager[14435]: (process:14758): mcd-WARNING **: Channel request /org/freedesktop/Telepathy/ChannelDispatcher/Request4 failed, error: Handler no longer available
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: QPainter::begin: Paint device returned engine == 0, type: 2
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: QPainter::end: Painter not active, aborted
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: QPainter::begin: Paint device returned engine == 0, type: 2
Mar 30 14:10:28 sahnlpt0143 org.freedesktop.Telepathy.Client.KTp.TextUi[14435]: QPainter::end: Painter not active, aborted

Comment 1 Rex Dieter 2016-03-30 13:29:42 UTC
I'll try backporting:
https://git.reviewboard.kde.org/r/127493/

Comment 2 Rex Dieter 2016-03-30 13:59:58 UTC
confirmed patch works as advertised for me and a local build.  updates coming soon.

Comment 3 Fedora Update System 2016-03-30 15:03:45 UTC
ktp-text-ui-15.12.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d29093b61

Comment 4 Fedora Update System 2016-03-30 15:05:00 UTC
ktp-text-ui-15.12.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-979b7a9cee

Comment 5 Loïc Yhuel 2016-03-30 19:33:25 UTC
Great ! The update fixes the issue.

Comment 6 Fedora Update System 2016-03-30 22:24:53 UTC
ktp-text-ui-15.12.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d29093b61

Comment 7 Fedora Update System 2016-03-30 22:54:25 UTC
ktp-text-ui-15.12.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-979b7a9cee

Comment 8 Fedora Update System 2016-04-03 17:56:26 UTC
ktp-text-ui-15.12.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-05 13:51:50 UTC
ktp-text-ui-15.12.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-05 16:19:32 UTC
ktp-text-ui-15.12.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.